### Name: Unitroot
### Title: unit root tests
### Aliases: Unitroot summary.fHTEST
### Keywords: ts

### ** Examples

##
## Tsay, pp. 69-71
##
data(q.gdp4703)
adft.gdp <- Unitroot(log(q.gdp4703), trend='c', method='adf', lags=10)
summary(adft.gdp)
# Except for the p-value and degrees of freedom for residual std error,
# all numbers matched the S-Plus Finmetrics answers.

##
## Tsay, pp. 71-72
##
data(d.sp9003lev)
adft.sp <- Unitroot(log(d.sp9003lev), trend='ct', method='adf', lags=14)
summary(adft.sp)

##
## Using adfTest{fUnitRoots} directly
##
adfTest(log(q.gdp4703), lags=9, type='c')
# Gives the ADF statistic and p-value but not the table.

##
## Using ur.df{urca}
##
if(require(urca))ur.df(log(q.gdp4703), type='drift', lags=9)
# prints 2 numbers:
# The first is the ADF statistic on Tsay, p. 70.
# It's not obvious what the second number is.

##
## Using ADF.test{uroot}
##
if(require(uroot)){
   gdp.ts <- ts(log(q.gdp4703), frequency=4, start=c(1947,1))
   ADF.test(gdp.ts, c(1,0,0), selectlags=list(mode=as.numeric(1:9)))
#  Gives the ADF statistic on p. 71, but the p-value is wrong.
}

##
## Using adf.test{tseries}
##
if(require(tseries))
  adf.test(log(as.numeric(q.gdp4703)), alternative="stationary", k=9)
# None of the numbers match;  I don't know why.



