### Name: ch02data
### Title: financial time series for Tsay (2005, chapter 2[text])
### Aliases: ch02data m.ibm2697 m.vw2697 q.gnp4791 m.ibm3dx2603 m.3m4697
###   q.gdp4703 d.sp9003lev q.jnj m.decile1510 w.gs1n36299
### Keywords: datasets

### ** Examples

##
## m.decile1510 has 'index' of class 'Date'
## Since it's a monthly series, for many purposes,
## it should have 'index' of class 'yearmon'.
## To get this, do the following:
##
data(m.decile1510)
mDecile1510 <- zoo(m.decile1510, as.yearmon(index(m.decile1510)))

##
## w.gs1n36299 covers a broader range than used in
## Tsay (2005, sec. 2.9, pp. 80ff):  subset using 'window':
##
data(w.gs1n36299)
w.gs1n3 <- window(w.gs1n36299, start=as.Date("1962-01-12"),
    end=as.Date("1999-09-10"))



